package liviu.tudor.convertor;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;

public class InfoDialog extends Form implements CommandListener
{
    public InfoDialog( String title, String description ) 
    {
        super( title );
        append( description );
        addCommand( new Command("OK", Command.OK, 1) );
        setCommandListener( this );
    }

    public void commandAction( Command c, Displayable d ) 
    {
        if( d != this )
            return;
        if( (c.getCommandType() == Command.OK) ||
            (c.getCommandType() == Command.CANCEL) ||
            (c.getCommandType() == Command.STOP) )
            ConvertorMidlet.closeCurrentScreen();
    }
    
    public void cleanup()
    {
        setCommandListener( null );
    }
}
